//----------------------------------------------------------------------------
//  Project BmpMenuSDIApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuSDIApp Application
//  FILE:         bmpmenusdiappaboutdlg.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuSDIAppAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenusdiappaboutdlg_h)
#define bmpmenusdiappaboutdlg_h

#if !defined(OWL_STATIC_H)
#include <owl/static.h>
#endif

#include "bmpmenusdiapp.rh" // Definition of all resources.

//{{TDialog = TBmpMenuSDIAppAboutDlg}}
class TBmpMenuSDIAppAboutDlg : public TDialog {
  public:
    TBmpMenuSDIAppAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT,
      TModule* module = 0);
    virtual ~TBmpMenuSDIAppAboutDlg();

//{{TBmpMenuSDIAppAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TBmpMenuSDIAppAboutDlgVIRTUAL_END}}
};    //{{TBmpMenuSDIAppAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPTSTR& prodName);
    bool GetProductVersion(LPTSTR& prodVersion);
    bool GetCopyright(LPTSTR& copyright);
    bool GetDebug(LPTSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};

#endif  // bmpmenusdiappaboutdlg_h sentry.
