//----------------------------------------------------------------------------
//  Project BmpMenuSDIApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuSDIApp Application
//  FILE:         bmpmenusdiappeditview.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuSDIAppEditView (TEditView).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenusdiappeditview_h)
#define bmpmenusdiappeditview_h

#if !defined(OWL_EDITVIEW_H)
#include <owl/editview.h>
#endif

//{{TEditView = TBmpMenuSDIAppEditView}}
class TBmpMenuSDIAppEditView : public TEditView
{
  public:
    TBmpMenuSDIAppEditView(TDocument& doc, TWindow* parent = 0);
    virtual ~TBmpMenuSDIAppEditView();

//{{TBmpMenuSDIAppEditViewVIRTUAL_BEGIN}}
  public:
    virtual void Paint(TDC& dc, bool erase, TRect& rect);
//{{TBmpMenuSDIAppEditViewVIRTUAL_END}}
//{{TBmpMenuSDIAppEditViewRSP_TBL_BEGIN}}
  protected:
    void EvGetMinMaxInfo(MINMAXINFO far& minmaxinfo);
//{{TBmpMenuSDIAppEditViewRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TBmpMenuSDIAppEditView);
};    //{{TBmpMenuSDIAppEditView}}

#endif  // bmpmenusdiappeditview_h sentry.
